Inactive [DEV] SpoutPlugin - Unleash the flow of endless possibilities [1.0-1.3.2]

Discussion in 'Inactive/Unsupported Plugins' started by SpoutDev, Aug 1, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    SpoutDev

    In order to centralize support of our legacy projects, we will no longer be providing support on Bukkit. Please use www.spout.org for support with our projects going forward.
     
  2. Offline

    Wulfspider

    I have no idea what you are saying.
     
  3. Offline

    scar_

    Edit your post and delete the link.
     
  4. Offline

    rickky

    ok now,i fix it, but i found other bugs
    1.i can't Sprinting in spoutcraft,run slow
    2.[​IMG]
    my problem?
     
  5. Offline

    olloth

    Probably our fault, we modified the running code for run speed modification hooks, needs to be updated to work with sprint too.
     
  6. Offline

    rickky

    and spoutcraft have a bit lag
     
  7. Offline

    elias79

    Good news :)
     
  8. Offline

    SilencShadoW

    Hey Guys
    i cant delete spout from my server ... if i delete it ... after stopped server! ... it reinstall itself on newstart ... i mean ... wtf?!
     
  9. Offline

    GatsbyTheGreat

  10. Offline

    RGadelha

    CB #1153 / Spout #362 / SpoutCraft #405
    No errors, reasonable 50 FPS but enormous spikes which make the game unplayable.
    Images (open)
    [​IMG][​IMG]

    Look at the used memory! In Minecraft 1.8.1 it uses to be 13% of 989MB in my 32 bit W7
    I know all of them are dev builds, I'm just reporting :D
     
  11. Offline

    paully104

  12. Offline

    dockter

  13. Offline

    olloth

    Well, it would take us allowing pretty much full access to Swing and opening a new window, etc. I don't think that's the plan. Instead, maybe they should develop a Pail Client (not a modded minecraft client, just a standalone program) that logs in to the Pail server plugin. That would make a LOT more sense to me anyway.
     
  14. I'm sorry if this has been answered before but how do I use the dev versions of spoutcraft?

    Thier .zip files so I've tried c&p the files into a spoutcraft.jar. But still no worky.
     
  15. Offline

    olloth

  16. Offline

    Wulfspider

    Working on fixing it now. The short URL was just linked to the 1.7.3 filename.

    Set the plugin that depends on it to stop auto-downloading it or remove whatever plugin that may be. ;)

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 13, 2016
  17. Offline

    ThePhireFox

    I double checked the OP and didn't see anything about discouraging it, but I could be blind. Yeah this probably isn't the place for this discussion anywho, Probably should be suggested to bukkitdev as a req haha.

    Believe me I plan to tell them =( when I find the culprit.

    As I said in my OP, Spout is still awesome and I am liking it more everyday. You think Spout will be ready for 1.8?( edit: apparently I am double blind) It's like waiting for bukkits opening act and then all the other awesome plugin concerts ( like Spout) ... cept I don't even have to pay. If I wasn't eating Ramen already I'd donate to a few of these.
     
  18. Offline

    Wulfspider

    Most of the OP was moved over the BukkitDev pages. ;)

    There are only a select few who auto-download Spout, so it shouldn't be hard to find.

    We already have fairly stable 1.8.1 builds of Spoutcraft on our Jenkins. The Spout builds seem to be working fairly well too.

    How much memory are you assigning it?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Dec 28, 2018
  19. Offline

    FergyJay1.8

    I dont Understand whats Dev Builds 1.8.1? Lol And may i know when 1,8.1 is coming to spout? Friday or so is there a chance?
     
  20. Offline

    Wulfspider

    http://spout.in/ci - dev builds ;)
    Already supports 1.8.1, just no official releases.
     
    FergyJay1.8 likes this.
  21. Offline

    NinjaZidane

    In what could be the worse error reporting in my life (forgive me guys) but the best way I can say is...

    Latest Spoutcraft dev build for 1.8.1, if I move a couple of squares enough to start rendering some more squares in the distance...the client spazzes into a lag fest but eventually settles down.

    No server console errors....nothing client side (besides the lag).

    Again, forgive me for the vague error but I hope it helps.
     
  22. Offline

    Wulfspider

    I told you like 3 times. :p

    Dev = development.

    We make/build versions of Spout and Spoutcraft on that site I linked that work, but may have bugs/issues, because they are still being developed. They may not be stable/reliable/completely usable yet in other words.

    All the latest development builds are for 1.8.1, so for Spout and Spoutcraft there are development builds that work.
     
  23. Offline

    RGadelha

    @Wulfspider
    Have you seen my post? Please, help me, what's that 185% of 160MB and those spikes I'm having, any idea?
     
  24. Offline

    RGadelha

    C:\progra~1\Java\jre7\bin\java -Xincgc -Xmx1024M -jar Spoutcraft.jar

    Win7 32bit 4GB memory
     
  25. Offline

    Top_Cat

    32bit doesn't support >3GB of memory so...
     
  26. Offline

    Wulfspider

    He wasn't assigning that much... :p
    He's doing it right. He was just stating his system specs.
     
  27. Offline

    SilencShadoW

    No plugins need spout ... xD and no one auto download it :(
    Anyway is just dl'ed the dev version and replaced ... now my server start again =P
     
  28. Offline

    RGadelha

    I know that, it supports 3.25GB :p
     
  29. Offline

    Wulfspider

    It doesn't automatically download itself... you have a plugin that is doing it.
     
  30. Offline

    rickky

    i can't play spoutcraft:( very lag:'(
     
  31. Offline

    dockter

    The 408 build isn't very stable. Extreme amounts of lag as well as multiple crashes.

    1. Crashed when opening a simple chest. Not caused by SpoutCraft client.
    2. SpoutBackpack is broken
    3. SpoutFlight is broken.
    4. SpoutCoords is broken.

    Not sure if these are a SpoutCraft issue or a plugin issue. Just posting for those who are curious.
     
Thread Status:
Not open for further replies.

Share This Page